"use strict";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _parameterizeObject = require("../../../helpers/parameterizeObject.js");

var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _request.getRequest;
  return {
    get: get(function (_ref) {
      var affiliationCode = _ref.affiliationCode,
          document = _ref.document,
          _ref$invoiceId = _ref.invoiceId,
          invoiceId = _ref$invoiceId === void 0 ? '' : _ref$invoiceId,
          params = _objectWithoutProperties(_ref, ["affiliationCode", "document", "invoiceId"]);

      var parsedParams = _objectSpread({
        pageSize: 30
      }, params);

      var urlStart = affiliationCode != null ? "v0/merchants/".concat(affiliationCode, "/billing/invoices/") : "v0/merchants/billing/".concat(document, "/invoices/");
      return "".concat(urlStart).concat(invoiceId).concat((0, _parameterizeObject.parameterizeObject)(parsedParams));
    })
  };
};

exports.service = service;