"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var urlMaker = function urlMaker() {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      userIdentifier = _ref.userIdentifier,
      permission = _ref.permission;

  return "v0/portal/users/".concat(userIdentifier, "/permissions/").concat(permission);
};

var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _request.getRequest;
  var post = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : _request.postRequest;
  var del = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : _request.deleteRequest;
  return {
    get: get(urlMaker),
    post: post(urlMaker),
    "delete": del(urlMaker)
  };
};

exports.service = service;