"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _parameterizeObject = require("../../../helpers/parameterizeObject.js");

const service = (get = _request.getRequest) => ({
  get: get(({
    affiliationCode,
    document,
    invoiceId = '',
    ...params
  }) => {
    const parsedParams = {
      pageSize: 30,
      ...params
    };
    const urlStart = affiliationCode != null ? `v0/merchants/${affiliationCode}/billing/invoices/` : `v0/merchants/billing/${document}/invoices/`;
    return `${urlStart}${invoiceId}${(0, _parameterizeObject.parameterizeObject)(parsedParams)}`;
  })
});

exports.service = service;