"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

const urlMaker = ({
  userIdentifier,
  affiliationCode
} = {}) => `v0/portal/users/${userIdentifier}/merchants/${affiliationCode}`;

const service = (get = _request.getRequest, post = _request.postRequest, del = _request.deleteRequest) => ({
  get: get(urlMaker),
  post: post(urlMaker),
  delete: del(urlMaker)
});

exports.service = service;