import * as sdk from '../src/index.js';

const affiliationCode = 'FILL-IN';
const token = 'FILL-IN';

sdk.baseUrl.set(sdk.API_URL); // optional
sdk.authorization.set(sdk.BEARER, token);

sdk.middleware.use({
  beforeRequest({ proceed }) {
    console.log('before');
    proceed();
  },
  afterRequest({ proceed }) {
    console.log('after');
    proceed();
  },
});

sdk.merchants.merchant
  .get({ affiliationCode })
  .then(console.log);

sdk.merchants.fees
  .get({ affiliationCode })
  .then(console.log);

const saleInfo = {
  label: 'visa',
  product: 'credit',
  amount: '600',
  installments: '1',
};

sdk.merchants.simulateSales
  .get({ affiliationCode, ...saleInfo })
  .then(console.log);

const postalCode = '20521260';

sdk.postalCode.search
  .get({ postalCode })
  .then(console.log);
