import { getRequest, postRequest, deleteRequest } from '../../../helpers/request.js';

const urlMaker = ({ userIdentifier, affiliationCode } = {}) =>
  `v0/portal/users/${userIdentifier}/merchants/${affiliationCode}`;

export const service = (
  get = getRequest,
  post = postRequest,
  del = deleteRequest,
) => ({
  get: get(urlMaker),
  post: post(urlMaker),
  delete: del(urlMaker),
});
