import { getRequest, putRequest, postRequest, patchRequest } from '../../../helpers/request.js';
import { getOffsetPagination } from '../../../helpers/offsetPagination.js';
import { usersListPutInterface, usersListPostInterface, usersListPatchInterface } from './usersListInterface.js';

export const service = (
  get = getRequest,
  put = putRequest,
  post = postRequest,
  patch = patchRequest,
) => ({
  get: get((params) => {
    const pagination = getOffsetPagination(params.offset, params.limit);
    return `v0/portal/users/visible?${pagination}`;
  }),
  put: put(params =>
    `v0/portal/users/${params.userIdentifier}`, usersListPutInterface),
  post: post('v0/portal/users', usersListPostInterface),
  patch: patch(params =>
    `v0/portal/users/${params.userIdentifier}`, usersListPatchInterface),
});
