import { parameterizeObject } from './parameterizeObject.js';

describe('parameterizeObject', () => {
  it('Should return an empty string without parameters', () => {
    expect(parameterizeObject()).to.equal('');
  });

  it('Should ignore undefined properties', () => {
    expect(parameterizeObject({ affiliationCode: null })).to.equal('');
  });

  it('Should parameterize an objetct with one property', () => {
    expect(parameterizeObject({ affiliationCode: '1234321' }))
      .to.equal('?affiliationCode=1234321');
  });

  it('Should parameterize an objetct with many properties', () => {
    expect(parameterizeObject({
      affiliationCode: '1234321',
      document: '4321234',
    }))
      .to.equal('?affiliationCode=1234321&document=4321234');
  });

  it('Should stringify boolean values', () => {
    expect(parameterizeObject({ booking: true }))
      .to.equal('?booking=true');
  });
});
