import { getRequest } from '../../../helpers/request.js';
import { parameterizeObject } from '../../../helpers/parameterizeObject.js';

export const service = (get = getRequest) => ({
  get: get(({
    affiliationCode,
    document,
    invoiceId = '',
    ...params
  }) => {
    const parsedParams = {
      pageSize: 30,
      ...params,
    };

    const urlStart = affiliationCode != null
      ? `v0/merchants/${affiliationCode}/billing/invoices/`
      : `v0/merchants/billing/${document}/invoices/`;

    return `${urlStart}${invoiceId}${parameterizeObject(parsedParams)}`;
  }),
});
