import sinon from 'sinon';
import { service as cancel } from './cancel';
import { postCancelInterface } from './cancelInterface';

describe('Product Raio X Cancel Module', () => {
  it('should have methods after initialization.', () => {
    const service = cancel();
    expect(service.post).to.be.a('function');
  });

  it('should call post request.', () => {
    const spy = sinon.spy();

    const postRequest = () => spy;

    const service = cancel(postRequest, postCancelInterface);

    service.post();

    expect(spy.calledOnce);
  });

  it('should call post request and return a valid URL.', () => {
    const spy = sinon.spy();

    const postRequest = (makeUrl) => {
      spy(makeUrl());
      return () => {};
    };

    const service = cancel(postRequest, postCancelInterface);

    service.post();

    expect(spy).to.have.been
      .calledWith('v0/products/raio-x/cancellation');
  });
});
