import sinon from 'sinon';
import { service as cancellationReasons } from './cancellationReasons';

describe('Product Raio X Cancellation Reasons Module', () => {
  it('should have methods after initialization.', () => {
    const service = cancellationReasons();
    expect(service.get).to.be.a('function');
  });

  it('should call get request.', () => {
    const spy = sinon.spy();

    const getRequest = () => spy;

    const service = cancellationReasons(getRequest);

    service.get();

    expect(spy.called);
  });

  it('should call get request and return a valid URL.', () => {
    const spy = sinon.spy();

    const getRequest = (makeUrl) => {
      spy(makeUrl());
      return () => {};
    };

    const service = cancellationReasons(getRequest);

    service.get();

    expect(spy).to.have.been
      .calledWith('v0/products/raio-x/cancellation-reasons');
  });
});
