import sinon from 'sinon';
import { service as createCnpj } from './createCnpj';
import { postCreateCnpjInterface } from './createCnpjInterface';

describe('Product Raio X createCnpj Module', () => {
  it('should have methods after initialization.', () => {
    const service = createCnpj();
    expect(service.post).to.be.a('function');
  });

  it('should call post request.', () => {
    const spy = sinon.spy();

    const postRequest = () => spy;

    const service = createCnpj(postRequest, postCreateCnpjInterface);

    service.post();

    expect(spy.calledOnce);
  });

  it('should call post request and return a valid URL.', () => {
    const spy = sinon.spy();

    const postRequest = (makeUrl) => {
      spy(makeUrl());
      return () => {};
    };

    const service = createCnpj(postRequest, postCreateCnpjInterface);

    service.post();

    expect(spy).to.have.been
      .calledWith('v0/products/raio-x/create-cnpj');
  });
});
